# 12765-ViralHostRangeDB

[![pipeline status](https://gitlab.pasteur.fr/hub/12765-viralhostrangedb/badges/master/pipeline.svg)](https://gitlab.pasteur.fr/hub/12765-viralhostrangedb/commits/master)
[![coverage report](https://gitlab.pasteur.fr/hub/12765-viralhostrangedb/badges/master/coverage.svg)](https://gitlab.pasteur.fr/hub/12765-viralhostrangedb/commits/master)

Running (soon) at https://viralhostrangedb-dev.pasteur.cloud/

## k8s
```sh
docker run  -it registry-gitlab.pasteur.fr/dsi-tools/docker-images:docker_kubernetes_image
vi crt.crt
# :i
# y copier le certificat qu'on trouve dans https://gitlab.pasteur.fr/hub/12765-viralhostrangedb/clusters/968
# Ctrl+C
# :wq
kubectl --token=XXX --server https://157.99.20.111:6443 --certificate-authority crt.crt --namespace=viralhostrange-dev delete pods --all
```

```
# En ayant les deux fichiers déjà créé
docker run -it -v $(pwd)/k8s.crt:/k8s.crt -v $(pwd)/token:/token -it registry-gitlab.pasteur.fr/dsi-tools/docker-images:docker_kubernetes_image
kubectl --token=$(cat token) --server https://157.99.20.111:6443 --certificate-authority k8s.crt  --namespace=viralhostrange-dev delete pods --all
```

```sh
# To help the terminal beeing usable
export PS1='${debian_chroot:+($debian_chroot)}\u@:\w\$ '
alias ll='ls -lah'
#watch -n 1 'date && ls -1R /code/persistent_volume/'
#python manage.py runserver 0.0.0.0:8086
```
